import { createAttrsForm } from "../../defines/createAttrsForm";
import { createCompHooks } from "../../defines/createCompHooks";
import "@ckeditor/ckeditor5-build-classic/build/translations/zh-cn";
export { Component } from "./component";

export const options = {
  name: "文本",
  thumbnail: require("@/modules/editor/assets/icons/text.svg"),
};

export const { createComp, useCompData } = createCompHooks({
  value: "<p>请输入内容</p>",
});

export const Form = createAttrsForm([
  {
    label: "文本",
    dataIndex: "value",
    component: "Input",
  },
]);
